# $Revision: 1.35 $, $Date: 2004/05/07 01:01:02 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Access
Summary:	Config::Access - perform simple access control
Summary(pl):	Config::Access - wykonywanie prostej kontroli dostpu
Name:		perl-Config-Access
Version:	0.02
Release:	11
License:	free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8d90b7c317ce3144410b26a34fad026e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Config::Access module provides a method of authenticating
arbitrary client/service pairs in a way very similar to that provided
by the TCP wrappers by Wietse Venema <wietse@wzv.win.tue.nl> but not
limited to inetd services and IP/host names.

%description -l pl
Modu Config::Access udostpnia metod do autoryzacji dowolnej pary
klient/usuga w sposb bardzo podobny do udostpnianego przez TCP
wrappers autorstwa Wietse Venemy, ale nie ograniczony do usug inetd
ani nazwy/IP komputera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Config/Access.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-Access.spec,v $
Revision 1.35  2004/05/07 01:01:02  ankry
- rel. 11

Revision 1.34  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 20:24:25  ankry
- cosmetics: unification

Revision 1.32  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.31  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.30  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:28:20  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/14 23:37:03  qboosh
- pl description, new %%doc, release 9

Revision 1.21  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.20  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 06:37:41  kloczek
- typo.

Revision 1.17  2002/02/25 06:20:00  kloczek
- cosmetics.

Revision 1.16  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:24:42  depesz
adapterized

Revision 1.13  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:06:34  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/29 17:33:55  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
